/*
 * Interface wrapper code.
 *
 * Generated by SIP 4.9.1 on Mon Nov 16 16:39:09 2009
 *
 * Copyright (c) 2007
 * 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
 * 
 * This file is part of PyQt.
 * 
 * This copy of PyQt is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2, or (at your option) any later
 * version.
 * 
 * PyQt is supplied in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * PyQt; see the file LICENSE.  If not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "sipAPIqt.h"

#line 93 "sip/qt/qpointarray.sip"
#include <qpointarray.h>
#line 31 "sipqtQPointArray.cpp"

#line 93 "sip/qt/qrect.sip"
#include <qrect.h>
#line 35 "sipqtQPointArray.cpp"
#line 57 "sip/qt/qpoint.sip"
#include <qpoint.h>
#line 38 "sipqtQPointArray.cpp"
#line 84 "sip/qt/qwmatrix.sip"
#include <qwmatrix.h>
#line 41 "sipqtQPointArray.cpp"
#line 97 "sip/qt/qpointarray.sip"
// Convert a list of numbers to an array on QCOORDs on the heap.

static QCOORD *getPoints(int nrpnts,PyObject *pntlist)
{
	QCOORD *pnts, *pp;

	if ((pnts = (QCOORD *)sipMalloc(nrpnts * sizeof (QCOORD))) == NULL)
		return NULL;

	// Convert the list.

	pp = pnts;

	for (int i = 0; i < nrpnts; ++i)
	{
		*pp++ = (QCOORD)PyInt_AsLong(PyList_GetItem(pntlist,i));

		if (PyErr_Occurred() != NULL)
		{
			sipFree((ANY *)pnts);
			return NULL;
		}
	}

	return pnts;
}
#line 69 "sipqtQPointArray.cpp"


extern "C" {static PyObject *meth_QPointArray_copy(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_copy(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            QPointArray *sipRes;

            sipRes = new QPointArray(sipCpp->copy());

            return sipConvertFromNewType(sipRes,sipType_QPointArray,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_copy);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_translate(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_translate(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        int a0;
        int a1;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Bii",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1))
        {
            sipCpp->translate(a0,a1);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_translate);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_boundingRect(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_boundingRect(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            QRect *sipRes;

            sipRes = new QRect(sipCpp->boundingRect());

            return sipConvertFromNewType(sipRes,sipType_QRect,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_boundingRect);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_point(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_point(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        uint a0;
        int a1;
        int a2;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipType_QPointArray,&sipCpp,&a0))
        {
            sipCpp->point(a0,&a1,&a2);

            return sipBuildResult(0,"(ii)",a1,a2);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_point);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_setPoint(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_setPoint(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        uint a0;
        int a1;
        int a2;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Buii",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1,&a2))
        {
            sipCpp->setPoint(a0,a1,a2);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    {
        uint a0;
        const QPoint * a1;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BuJ9",&sipSelf,sipType_QPointArray,&sipCpp,&a0,sipType_QPoint,&a1))
        {
            sipCpp->setPoint(a0,*a1);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_setPoint);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_setPoints(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_setPoints(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        PyObject * a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BT",&sipSelf,sipType_QPointArray,&sipCpp,&PyList_Type,&a0))
        {
            bool sipRes = 0;
            int sipIsErr = 0;

#line 167 "sip/qt/qpointarray.sip"
		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a0);

		if ((pnts = getPoints(nrpnts,a0)) == NULL)
			sipIsErr = 1;
		else
		{
			Py_BEGIN_ALLOW_THREADS
			sipRes = sipCpp -> setPoints(nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 245 "sipqtQPointArray.cpp"

            if (sipIsErr)
                return 0;

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_setPoints);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_putPoints(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_putPoints(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        int a0;
        PyObject * a1;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BiT",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&PyList_Type,&a1))
        {
            bool sipRes = 0;
            int sipIsErr = 0;

#line 188 "sip/qt/qpointarray.sip"
		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a1);

		if ((pnts = getPoints(nrpnts,a1)) == NULL)
			sipIsErr = 1;
		else
		{
			Py_BEGIN_ALLOW_THREADS
			sipRes = sipCpp -> putPoints(a0,nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 292 "sipqtQPointArray.cpp"

            if (sipIsErr)
                return 0;

            return PyBool_FromLong(sipRes);
        }
    }

    {
        int a0;
        int a1;
        const QPointArray * a2;
        int a3 = 0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BiiJ9|i",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1,sipType_QPointArray,&a2,&a3))
        {
            bool sipRes;

            sipRes = sipCpp->putPoints(a0,a1,*a2,a3);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_putPoints);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_makeArc(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_makeArc(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        int a0;
        int a1;
        int a2;
        int a3;
        int a4;
        int a5;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Biiiiii",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1,&a2,&a3,&a4,&a5))
        {
            sipCpp->makeArc(a0,a1,a2,a3,a4,a5);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    {
        int a0;
        int a1;
        int a2;
        int a3;
        int a4;
        int a5;
        const QWMatrix * a6;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BiiiiiiJ9",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1,&a2,&a3,&a4,&a5,sipType_QWMatrix,&a6))
        {
            sipCpp->makeArc(a0,a1,a2,a3,a4,a5,*a6);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_makeArc);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_makeEllipse(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_makeEllipse(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        int a0;
        int a1;
        int a2;
        int a3;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Biiii",&sipSelf,sipType_QPointArray,&sipCpp,&a0,&a1,&a2,&a3))
        {
            sipCpp->makeEllipse(a0,a1,a2,a3);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_makeEllipse);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_cubicBezier(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_cubicBezier(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            QPointArray *sipRes;

            sipRes = new QPointArray(sipCpp->cubicBezier());

            return sipConvertFromNewType(sipRes,sipType_QPointArray,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_cubicBezier);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_nrefs(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_nrefs(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            uint sipRes;

            sipRes = sipCpp->nrefs();

            return PyLong_FromUnsignedLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_nrefs);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_isEmpty(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_isEmpty(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            bool sipRes;

            sipRes = sipCpp->isEmpty();

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_isEmpty);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_isNull(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_isNull(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            bool sipRes;

            sipRes = sipCpp->isNull();

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_isNull);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_resize(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_resize(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        uint a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipType_QPointArray,&sipCpp,&a0))
        {
            bool sipRes;

            sipRes = sipCpp->resize(a0);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_resize);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_size(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_size(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            uint sipRes;

            sipRes = sipCpp->size();

            return PyLong_FromUnsignedLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_size);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_truncate(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_truncate(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        uint a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipType_QPointArray,&sipCpp,&a0))
        {
            bool sipRes;

            sipRes = sipCpp->truncate(a0);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_truncate);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_fill(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_fill(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        const QPoint * a0;
        int a1 = -1;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BJ9|i",&sipSelf,sipType_QPointArray,&sipCpp,sipType_QPoint,&a0,&a1))
        {
            bool sipRes;

            sipRes = sipCpp->fill(*a0,a1);

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_fill);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_at(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_at(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        uint a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"Bu",&sipSelf,sipType_QPointArray,&sipCpp,&a0))
        {
            QPoint *sipRes;

            sipRes = &sipCpp->at(a0);

            return sipConvertFromType(sipRes,sipType_QPoint,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_at);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_sort(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_sort(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"B",&sipSelf,sipType_QPointArray,&sipCpp))
        {
            sipCpp->sort();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_sort);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_bsearch(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_bsearch(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        const QPoint * a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BJ9",&sipSelf,sipType_QPointArray,&sipCpp,sipType_QPoint,&a0))
        {
            int sipRes;

            sipRes = sipCpp->bsearch(*a0);

            return SIPLong_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_bsearch);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_find(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_find(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        const QPoint * a0;
        uint a1 = 0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BJ9|u",&sipSelf,sipType_QPointArray,&sipCpp,sipType_QPoint,&a0,&a1))
        {
            int sipRes;

            sipRes = sipCpp->find(*a0,a1);

            return SIPLong_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_find);

    return NULL;
}


extern "C" {static PyObject *meth_QPointArray_contains(PyObject *, PyObject *);}
static PyObject *meth_QPointArray_contains(PyObject *sipSelf, PyObject *sipArgs)
{
    int sipArgsParsed = 0;

    {
        const QPoint * a0;
        QPointArray *sipCpp;

        if (sipParseArgs(&sipArgsParsed,sipArgs,"BJ9",&sipSelf,sipType_QPointArray,&sipCpp,sipType_QPoint,&a0))
        {
            int sipRes;

            sipRes = sipCpp->contains(*a0);

            return SIPLong_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipArgsParsed,sipName_QPointArray,sipName_contains);

    return NULL;
}


/* Cast a pointer to a type somewhere in its superclass hierarchy. */
extern "C" {static void *cast_QPointArray(void *, const sipTypeDef *);}
static void *cast_QPointArray(void *ptr, const sipTypeDef *targetType)
{
    if (targetType == sipType_QPointArray)
        return ptr;

    return NULL;
}


/* Call the instance's destructor. */
extern "C" {static void release_QPointArray(void *, int);}
static void release_QPointArray(void *sipCppV,int)
{
    delete reinterpret_cast<QPointArray *>(sipCppV);
}


extern "C" {static void assign_QPointArray(void *, SIP_SSIZE_T, const void *);}
static void assign_QPointArray(void *sipDst, SIP_SSIZE_T sipDstIdx, const void *sipSrc)
{
    reinterpret_cast<QPointArray *>(sipDst)[sipDstIdx] = *reinterpret_cast<const QPointArray *>(sipSrc);
}


extern "C" {static void *array_QPointArray(SIP_SSIZE_T);}
static void *array_QPointArray(SIP_SSIZE_T sipNrElem)
{
    return new QPointArray[sipNrElem];
}


extern "C" {static void *copy_QPointArray(const void *, SIP_SSIZE_T);}
static void *copy_QPointArray(const void *sipSrc, SIP_SSIZE_T sipSrcIdx)
{
    return new QPointArray(reinterpret_cast<const QPointArray *>(sipSrc)[sipSrcIdx]);
}


extern "C" {static void dealloc_QPointArray(sipSimpleWrapper *);}
static void dealloc_QPointArray(sipSimpleWrapper *sipSelf)
{
    if (sipIsPyOwned(sipSelf))
    {
        release_QPointArray(sipSelf->u.cppPtr,0);
    }
}


extern "C" {static void *init_QPointArray(sipSimpleWrapper *, PyObject *, PyObject **, int *);}
static void *init_QPointArray(sipSimpleWrapper *, PyObject *sipArgs, PyObject **, int *sipArgsParsed)
{
    QPointArray *sipCpp = 0;

    if (!sipCpp)
    {
        if (sipParseArgs(sipArgsParsed,sipArgs,""))
        {
            sipCpp = new QPointArray();
        }
    }

    if (!sipCpp)
    {
        int a0;

        if (sipParseArgs(sipArgsParsed,sipArgs,"i",&a0))
        {
            sipCpp = new QPointArray(a0);
        }
    }

    if (!sipCpp)
    {
        const QPointArray * a0;

        if (sipParseArgs(sipArgsParsed,sipArgs,"J9",sipType_QPointArray,&a0))
        {
            sipCpp = new QPointArray(*a0);
        }
    }

    if (!sipCpp)
    {
        const QRect * a0;
        bool a1 = 0;

        if (sipParseArgs(sipArgsParsed,sipArgs,"J9|b",sipType_QRect,&a0,&a1))
        {
            sipCpp = new QPointArray(*a0,a1);
        }
    }

    if (!sipCpp)
    {
        int sipIsErr = 0;
        PyObject * a0;

        if (sipParseArgs(sipArgsParsed,sipArgs,"T",&PyList_Type,&a0))
        {
#line 133 "sip/qt/qpointarray.sip"
		// The Python interface is a list of QCOORDs.

		int nrpnts;
		QCOORD *pnts;

		nrpnts = PyList_GET_SIZE(a0);

		if ((pnts = getPoints(nrpnts,a0)) == NULL)
			sipIsErr = 1;
		else
		{
			// No wrapper class for QPointArray.

			Py_BEGIN_ALLOW_THREADS
			sipCpp = new QPointArray(nrpnts / 2,pnts);
			Py_END_ALLOW_THREADS

			sipFree((ANY *)pnts);
		}
#line 856 "sipqtQPointArray.cpp"

            if (sipIsErr)
                return 0;
        }
    }

    return sipCpp;
}


static PyMethodDef methods_QPointArray[] = {
    {SIP_MLNAME_CAST(sipName_at), meth_QPointArray_at, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_boundingRect), meth_QPointArray_boundingRect, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_bsearch), meth_QPointArray_bsearch, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_contains), meth_QPointArray_contains, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_copy), meth_QPointArray_copy, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_cubicBezier), meth_QPointArray_cubicBezier, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_fill), meth_QPointArray_fill, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_find), meth_QPointArray_find, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_isEmpty), meth_QPointArray_isEmpty, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_isNull), meth_QPointArray_isNull, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_makeArc), meth_QPointArray_makeArc, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_makeEllipse), meth_QPointArray_makeEllipse, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_nrefs), meth_QPointArray_nrefs, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_point), meth_QPointArray_point, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_putPoints), meth_QPointArray_putPoints, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_resize), meth_QPointArray_resize, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setPoint), meth_QPointArray_setPoint, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setPoints), meth_QPointArray_setPoints, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_size), meth_QPointArray_size, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_sort), meth_QPointArray_sort, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_translate), meth_QPointArray_translate, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_truncate), meth_QPointArray_truncate, METH_VARARGS, NULL}
};


pyqt3ClassTypeDef sipTypeDef_qt_QPointArray = {
{
    {
        -1,
        0,
        0,
        SIP_TYPE_CLASS,
        sipNameNr_QPointArray,
        {0}
    },
    {
        sipNameNr_QPointArray,
        {0, 0, 1},
        22, methods_QPointArray,
        0, 0,
        0, 0,
        {0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    },
    sipNameNr_qt_pyqtWrapperType,
    sipNameNr_qt_pyqtWrapper,
    0,
    0,
    init_QPointArray,
    0,
    0,
#if PY_MAJOR_VERSION >= 3
    0,
    0,
#else
    0,
    0,
    0,
    0,
#endif
    dealloc_QPointArray,
    assign_QPointArray,
    array_QPointArray,
    copy_QPointArray,
    release_QPointArray,
    cast_QPointArray,
    0,
    0,
    0
},
    0
};
